Bug 132789 - Unable to use HTTP Configuration Tool - will not accept changes.
Unable to use HTTP Configuration Tool - will not accept changes.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 23:13 EDT by Nicholas C Georgalis
Modified: 2015-03-04 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 11:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas C Georgalis 2004-09-16 23:13:36 EDT
Description of problem:

Unable to use Http configuration tool to set up virtual host.  I
cannot close the screen after I add a virtual host.  I can only cancel.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2004-10-04 10:02:43 EDT
I've made quite a few bugfixes for s-c-h in FC3T2.

Could you give that version a try and let me know if it works?

Thanks,

Read ya, Phil
Comment 2 Matthew Morrissette 2005-01-20 14:58:17 EST
I'm also having the same problem as this and I've updated my version
from CVS and rebuilt so it's using the most possibly new version you
have.  Here is the bug trace:

Traceback (most recent call last):
  File "/usr/share/system-config-httpd/ApacheConf.py", line 273, in
on_main_ok_button_clicked
    if not control.write():
  File "/usr/share/system-config-httpd/ApacheControl.py", line 63, in
write
    return stack.apache.write(force)
  File "/usr/share/system-config-httpd/ApacheGizmo.py", line 770, in write
    return ApacheBase.write (force)
  File "/usr/share/system-config-httpd/ApacheBase.py", line 4346, in write
    proc.appendStylesheet(STY)
  File "/usr/lib/python2.3/site-packages/Ft/Xml/Xslt/Processor.py",
line 178, in appendStylesheet
    sty = self._styReader.fromSrc(iSrc, extElements=self.extElements)
  File
"/usr/lib/python2.3/site-packages/Ft/Xml/Xslt/StylesheetReader.py",
line 160, in fromSrc
    stylesheet =  self._parseSrc(new_source)
  File
"/usr/lib/python2.3/site-packages/Ft/Xml/Xslt/StylesheetReader.py",
line 184, in _parseSrc
    expat.ErrorString(error.code))
Ft.Xml.Xslt.XsltException: Stylesheet
(file:///usr/share/system-config-httpd/httpd.conf.xsl): XML parse
error at line 10, column 15: not well-formed (invalid token)


Any ideas?
Comment 3 Matthew Morrissette 2005-01-20 15:00:22 EST
Oh yeah just to tell you, I'm fc2 as well.
Comment 4 Phil Knirsch 2005-02-15 06:29:13 EST
Could you paste the first 20 lines of

  /usr/share/system-config-httpd/httpd.conf.xsl

here in bugzilla? This file shouldn't have any malformed tokens
anymore (one of the bugs fixed for FC3/FC4).

Read ya, Phil
Comment 5 Phil Knirsch 2006-10-19 11:02:58 EDT
Closing due to inactivity.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.